<?php
//kaç tane gösterileceğini girin
//gösterilecek sayfa numarasını alma
$tag = guvenlik($_REQUEST['yorumbul']);
if (empty($tag)){$tag='Lütfen Anahtar Kelime Giriniz...';}
$page= guvenlik(@$_GET['sayfa']);
//sayfa numarası kontrolü
if(empty($page) || !is_numeric($page)){$page=1;}

 
//toplam kayıt sayısını alma
$SQL = "SELECT COUNT(*) as Toplam FROM yorumlar where yorumlar like '%$tag%'";
$islem = @mysql_query($SQL);
$ToplamKayit = mysql_fetch_array($islem);
$count = $ToplamKayit['Toplam'];
$perpage = 10;
$deger = $page*$perpage;
$nedir = $deger-10;
$lastP = ceil(($count / $perpage));

 //kayıtları listeleme işlemi
?>

<? 

$duzenle = @$_GET["duzenle"]; 
if (isset($duzenle)) { 
?>
<div class="yanyana">
<h3 class="anabaslik">Yorum Düzenle...</h3>
<div class="formlar">
<?php 

$sql7 = "SELECT * FROM yorumlar WHERE id='$duzenle'";
$result7 = mysql_query ($sql7) or die (mysql_error());
$goster7 = mysql_fetch_array($result7) ;?>
<form id="form1" name="form1" method="post" action="kategoriler.php?update=guncelle">
 
 <label for="textfield"></label>
 
   <div class=""><li class="sol_li">Düzenlenen Yorum<span>:</span></li><input name="yeni" class="input inp3" value="<?php echo $goster7['yorumlar']; ?>"></div>
    
    
    
     <input name="id" type="hidden" value="<?php echo $goster7['id']; ?>" />
   <div class="yolla">
<input name="submit" type="submit" class="button" value="Kaydet"> </form>
</div>
 



</div>

<div class="temizle"></div>
</div></div>


<? } ?>



<? 
$id = @$_GET["yorumsil"]; 
if (isset($id)) { ?>
<div class="yanyana">
<h3 class="anabaslik">Yorum düzenleme ve silme sayfası</h3>
<div class="formlar">


<?php

$sql = "DELETE FROM yorumlar WHERE id = '$id' ";
$result = mysql_query ($sql) or die (mysql_error());

if ($id == "" ) {
	
echo '<div class="uyar error"><img src="images/icon/errors.png"><span>Hata...</span></div>' ; }

 else if ( mysql_query( $sql ) ) {
      echo '<div class="uyar basarili"><img src="images/icon/basarili.png"><span>Yorum Başarı ile silindi</span></div>
';
    
  }
  
  else {  
      echo '<div class="uyar error"><img src="images/icon/errors.png"><span>Sorgu Hata verdi...</span></div><meta http-equiv="refresh" content="1;URL=tumvideolar.php">';
  }	
?>

</div>

<div class="temizle"></div>
</div>


<? } ?>


<? if (@$_GET['sil']=="videosil"){  include 'inc/videosil.php'; } 
$katid = @$_POST['katid'];
if (empty($katid) || !is_numeric($katid)) {$katid=1;}
$sql2 = "SELECT * FROM videolar where video_kat = $katid";
$result2 = mysql_query ($sql2) or die (mysql_error());
$goster2 = mysql_fetch_array($result2);
$v_id2 = $goster2['video_kat'];?>



<div class="yanyana">
<h3 class="anabaslik">Bulunan Yorumlar</h3> 
<div class="formlar">
<div class="tablo">
<li class="no"><b><input name="checkall" onclick="checkUncheckAll(this);" type="checkbox" /></b></li>
<li class="no"><b>id</b></li>
<li class="durum"><b>Video</b></li>
<li class="baslik"><b>Yorum</b></li>
<li class="islem"><b>İşlemler</b></li>
<div class="temizle"></div>
</div>
<div class="tablo2">

<? $sql = "SELECT * FROM yorumlar where yorumlar like '%$tag%' Limit $nedir,$perpage ";
$result = mysql_query ($sql) or die (mysql_error());
while ($goster = mysql_fetch_array($result)) {
$v_id = $goster['v_id'];
	
$sql2 = "SELECT * FROM videolar where id = '$v_id' ";
$result2 = mysql_query ($sql2) or die (mysql_error());
while ($goster2 = mysql_fetch_array($result2)) {?> 

<div class="satir">
<li class="no"><input type="checkbox" name="option1" ></li>
<li class="no"><?=$goster['id'];?></li>
<li class="durum"><a href="<?=$siteadresi;?><?=seo($goster2['video_adi']); ?><?="-"?><?=$goster2['id']?>.html" title="<?=$goster2['video_adi'];  ?>" style="color:#900" target="_blank"><?=$goster2['video_adi'];?></a></li>
<li class="baslik"><?=$goster['yorumlar'];?></li>

<li class="islem">
<li class="edit"><a href="index.php?bul=yorumbul&yorumbul=<?=$tag;?>&duzenle=<?=$goster['id'];?>" class="button icon edit">Düzenle</a></li>
<li class="sil"> <a href="index.php?bul=yorumbul&yorumbul=<?=$tag;?>&sayfa=<?=$page;?>&yorumsil=<?=$goster['id'];?>" class="button icon remove danger">Sil</a></li>
</li>
<div class="temizle"></div>
</div>
<? } }?>

   <?  
  if($count > $perpage) :
  $x = 4;
  $lastP = ceil(($count / $perpage));
  for($i=1; $i>=$page; $i--) {}
   ?>




<div class="sayfala">
<a href="index.php?bul=yorumbul&yorumbul=<?=$tag;?>&sayfa=<?=$page-1;?>" class="button icon arrowleft danger">Geri</a>

 <?php 

  // sayfa 1'i yazdýr
  if($page==1) echo "<a href=index.php?bul=yorumbul&yorumbul=$tag&sayfa=1 class=button>1</a>&nbsp;";
  
  else echo "<a href=index.php?bul=yorumbul&yorumbul=$tag&sayfa=1 class=button>1</a>&nbsp;";
  if($page-$x > 5) {
    echo " <a href=# class=button>...</a>";
    $i = $page-$x;
  } else {
    $i = 2;
  }
  // +/- $x sayfalarý yazdýr
  for($i; $i<=$page+$x; $i++) {
    if($i==$page) 
	echo "<a href=# class=button> $i </a>&nbsp;"; 
    else 
	echo "<a href=index.php?bul=yorumbul&yorumbul=$tag&sayfa=$i class=button>$i</a> ";
    if($i==$lastP) break;
  }
  // "..." veya son sayfa
  if($page+$x < $lastP-1) {
    echo "<a href=# class=button>...</a>";
    echo " <a href=index.php?bul=yorumbul&yorumbul=$tag&sayfa=$lastp class=button>$lastP</a>";
  } elseif($page+$x == $lastP-1) {
    echo " <a href=index.php?bul=yorumbul&yorumbul=$tag&sayfa=$lastP class=button>$lastP</a>";
  }

  endif;
  
    // sonraki sayfa
	
  for($i=1; $i<=$page; $i++) {
    if($i==$lastP)
	 break;
  }
?>

<a href="index.php?bul=yorumbul&yorumbul=<?=$tag;?>&sayfa=<?=$i;?>" class="button icon arrowright danger">ileri</a>
</div>
<div class="toplam">Sistemde Toplam <b><?=$count?></b> içerik bulunuyor...</div>
</div></div>

</div>
